# Partner support case changed

Triggered every time a case is updated, including if commented on or if the status is changed. Note that you will also receive a webhook response when you have created a new case or updated a case.
As this endpoing is currently in beta, the information below may change. We will be adding in new types of cases, so ensure you handle additional undocumented types.
* Event type: `partner-support#case-changed`
* Profile level subscriptions: Not supported
* Application level subscriptions: Supported

Events may not be delivered in the order they occurred. Use `data.occurred_at` to reconcile the order.
See the [Event ordering guide](/guides/developer/webhooks/event-ordering) for details.
See the [Webhooks guide](/guides/developer/webhooks) for setup instructions, signature verification, and best practices.

Endpoint: POST partner-support#case-changed

## Header parameters:

  - `X-Signature-SHA256` (string)
    RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the [Wise public key](/guides/developer/webhooks/event-handling#requests) to ensure the request is authentic and has not been tampered with.

  - `X-Delivery-Id` (string)
    Unique identifier for this webhook delivery attempt.

  - `X-Test-Notification` (boolean)
    Present with the value `true` if this is a test notification sent to verify your callback URL during subscription setup.

## Request fields (application/json):

  - `schema_version` (string)
    Version of the event schema. Determined by the `schema_version` on your [webhook subscription](/api-reference/legacy/webhook).
    Enum: "4.0.0"

  - `subscription_id` (string)
    ID of the webhook subscription that triggered this event.
    Example: 017631af-326c-4a69-93f3-bd1ce987a743

  - `event_type` (string)
    Event type identifier
    Example: partner-support#case-changed

  - `sent_at` (string)
    Timestamp when the event was sent.
    Example: 2023-06-23T09:45:36.123Z

  - `data` (object)

  - `data.resource` (object)

  - `data.resource.type` (string)
    Type of resource for webhook. Will always be `partner-support-case`.
    Example: partner-support-case

  - `data.resource.case_id` (integer)
    ID of the case.
    Example: 136

  - `data.resource.case_type` (string)
    Type of the case. Value must be `GENERAL_ENQUIRY`. More case types to be added in the future.
    Example: GENERAL_ENQUIRY

  - `data.resource.details` (object)

  - `data.resource.details.transfer_id` (integer | null)
    ID of the transfer that is associated with the case.
    Example: 12345678

  - `data.resource.details.user_id` (integer)
    ID of the user account that is associated with the case.
    Example: 12345678

  - `data.resource.details.profile_id` (integer)
    ID of the profile that is associated with the case.
    Example: 12345678

  - `data.resource.status` (string)
    Status of the case.
    Enum: "OPEN", "PENDING", "SOLVED", "CLOSED"

  - `data.type` (string)
    The type of the webhook being sent.
    Enum: "STATUS_UPDATED", "NEW_COMMENT", "NEW_CASE"

  - `data.occurred_at` (string)
    When the case update occurred.
    Example: 2023-06-23T09:45:34.789Z

  - `subscription_id` (string)
    ID of the webhook subscription that triggered this event
    Example: 017631af-326c-4a69-93f3-bd1ce987a743

  - `sent_at` (string)
    Timestamp when the event was sent
    Example: 2023-06-23T09:45:36Z

## Response 200 fields (application/json):

  - `status` (string)
    Example: ok

